using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using YBDevice.Application;
using YBDevice.Application.SystemInfo;
using YBDevice.Entity;

namespace YBDevice.NWeb.Pages.Role
{
    /// <summary>
    /// ½ÇÉ«±à¼­
    /// </summary>
    public class EditModel : BaseModel
    {
        public YB_nRole role = new YB_nRole();
        public List<MenuActionListS2CDto> list = new List<MenuActionListS2CDto>();
        private ISystemService _systemService;

        public EditModel(ISystemService systemService)
        {
            _systemService = systemService;
        }
        public async Task OnGetAsync(Guid id)
        {
            list = await _systemService.GetMenuActionListAsync(id);
            if (id != Guid.Empty)
            {
                role = await _systemService.DetailRoleAsync(id);
            }
        }
    }
}
